> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# [BETA] Analyze model monitor metrics

> [BETA] Analyze model monitor metrics. Endpoint is subject to change, should only be used internally.



## OpenAPI

````yaml /api-specs/6.3/governance-api.yaml post /rpc/analyze-monitor-model
openapi: 3.0.0
info:
  contact:
    email: support@dominodatalab.com
    name: Domino Data Lab
    url: https://tickets.dominodatalab.com/hc/en-us
  description: Service responsible for managing Domino Governance feature
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  title: Domino Governance API
  version: '1.0'
servers: []
security: []
paths:
  /rpc/analyze-monitor-model:
    post:
      tags:
        - rpc
      summary: '[BETA] Analyze model monitor metrics'
      description: >-
        [BETA] Analyze model monitor metrics. Endpoint is subject to change,
        should only be used internally.
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/server.AnalyzeModelRequest'
        description: The monitor model request for monitor metric field
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/guardrails.MonitorChecksType'
                type: array
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.HTTPError'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.HTTPError'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.HTTPError'
        '409':
          description: Conflict
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.HTTPError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.HTTPError'
components:
  schemas:
    server.AnalyzeModelRequest:
      properties:
        artifactId:
          type: string
        endpointVersionId:
          type: string
        evidenceId:
          type: string
        lookbackDays:
          type: integer
        policyId:
          type: string
      required:
        - endpointVersionId
        - policyId
      type: object
    guardrails.MonitorChecksType:
      properties:
        artifactId:
          type: string
        endTime:
          type: string
        endpointVersionId:
          type: string
        evidenceId:
          type: string
        metricTimeline:
          items:
            $ref: '#/components/schemas/guardrails.ModelMonitorTimeline'
          type: array
        name:
          type: string
        startTime:
          type: string
      type: object
    server.HTTPError:
      properties:
        message:
          type: string
      type: object
    guardrails.ModelMonitorTimeline:
      properties:
        date:
          type: string
        failCount:
          type: integer
        total:
          type: integer
      type: object

````